Kerbal Space Program - Bug #13052

Missing tourist / same tourist in two contracts makes one contract unfinishable
10/19/2016 11:55 PM - gordonf@pan-am.ca
Description

In the attached save file there is one uncompleted tourism contract for Maulotte Kerman to land on the Mun. This tourist is not visible
in the astronaut complex roster, nor are they visible in the kerbal{} section of this save file. Because of the missing tourist, this
contract cannot be finished without hacking in a new tourist or cheat-completing the contract in the debug menu.

There are two tourist contracts with Maulotte Kerman's name. | suspect the Maulotte was deleted after the first contract was
complete.

| think you can reproduce the problem by partially completing a tourist's itinerary, and then spawning a new tourist contract that has
an identically named tourist. Depending on which of the contracts is finished first, the other contract would be unfinishable.

There are cosmetic add-ons in this installation, but nothing that should impact contracts or game play in general.

History

#1 - 11/06/2016 03:14 AM - JPLRepo

In certain scenarios where a Rescue/Tourist Contract has been accepted but not completed and another Rescue/Tourist Contract is generated it is
possible to have a result of two kerbals with the same name included in both contracts.

This causes the Kerbal Roster/Contracts system to get completely confused as the Kerbal Roster uses the Kerbal's name as the key field.

Here is a forum post of the latest details and it contains another link of this occurring in the past as well.
http://forum.kerbalspaceprogram.com/index.php?/topic/151342-rescue-mission-orbit-of-vessel-not-showing/

The second user has also provided a series of quicksaves:

I worked my way through my saves. Turns out I didn't do both missions at the same time. In quicksave #7 I have
not accepted the tourist mission yet. In quicksave #8 I already completed the Nelner tourist mission and alre
ady accepted the Nelner rescue mission. So the error occured in between quicksave #7 and quicksave #8.

I created this dropbox folder with quicksave #1 to #10, all ships and backup folder. I didn't include all quic
ksaves tho (currently I am at quicksave #81l) to keep the folder size low.

https://www.dropbox.com/sh/g9pfn0rg782t32t/ AAAhtCwudEKBW2YRsCzMRkSba?dl=0

#3 - 11/06/2016 03:33 AM - JPLRepo
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#4 - 12/07/2016 10:00 AM - JPLRepo
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.2.2

- % Done changed from 30 to 80

This should be fixed in 1.2.2. It is now not possible to have two kerbals with the same name from generated contracts.

#5 - 06/22/2017 08:37 PM - Squelch

04/19/2024 1/2



http://forum.kerbalspaceprogram.com/index.php?/topic/151342-rescue-mission-orbit-of-vessel-not-showing/
https://www.dropbox.com/sh/g9pfn0rg782t32t/AAAhtCwudEKBW2YRsCzMRkSba?dl=0

- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#6 - 06/22/2017 08:39 PM - Squelch

- Status changed from Resolved to Closed
